import request from '@/utils/request'

// 查询企微客户标签组列表
export function listTagGroup(query) {
  return request({
    url: '/qw/tagGroup/list',
    method: 'get',
    params: query
  })
}
export function allListTagGroup(query) {
  return request({
    url: '/qw/tagGroup/allList',
    method: 'get',
    params: query
  })
}

// 查询企微客户标签组详细
export function getTagGroup(id) {
  return request({
    url: '/qw/tagGroup/' + id,
    method: 'get'
  })
}

// 新增企微客户标签组
export function addTagGroup(data) {
  return request({
    url: '/qw/tagGroup',
    method: 'post',
    data: data
  })
}
export function syncTag(id) {
  return request({
    url: '/qw/tagGroup/syncTag/' + id,
    method: 'post',

  })
}

// 修改企微客户标签组
export function updateTagGroup(data) {
  return request({
    url: '/qw/tagGroup',
    method: 'put',
    data: data
  })
}

// 删除企微客户标签组
export function delTagGroup(id) {
  return request({
    url: '/qw/tagGroup/' + id,
    method: 'delete'
  })
}

// 导出企微客户标签组
export function exportTagGroup(query) {
  return request({
    url: '/qw/tagGroup/export',
    method: 'get',
    params: query
  })
}
